> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/funding/get-deposit-address/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get deposit address GET https://www.okx.com/api/v5/asset/deposit-address Retrieve the deposit addresses of a currency, including previously used addresses. Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-deposit-address ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `ccy` (string, required) — Currency, e.g. BTC. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AssetDepositAddressGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AssetDepositAddressGetResponsesContentApplicationJsonSchemaDataItems - `addr` (string, optional) — Deposit address. - `tag` (string, optional) — Deposit tag (returned if the currency requires a tag for deposit). - `memo` (string, optional) — Deposit memo (returned if the currency requires a memo for deposit). - `pmtId` (string, optional) — Deposit payment ID (returned if required for deposit). - `addrEx` (string, optional) — Deposit address attachment, e.g. TONCOIN attachment of the deposit address. - `ccy` (string, optional) — Currency, e.g. BTC. - `chain` (string, optional) — Chain name, e.g. USDT-ERC20, USDT-TRC20. - `to` (string, optional) — The beneficiary account: 6=Funding account, 18=Trading account. - `selected` (boolean, optional) — Whether the deposit address is selected on the website page. - `ctAddr` (string, optional) — Last 6 digits of contract address. - `verifiedName` (string, optional) — Verified name (only applicable to some countries/regions). ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "addr": "39XNxK1Ryqgg3Bsyn6HzoqV4Xji25pNkv6", "ccy": "BTC", "chain": "BTC-Bitcoin", "to": "6", "selected": true, "ctAddr": "", "verifiedName": "John Corner" }, { "addr": "0x66d0edc2e63b6b992381ee668fbcb01f20ae0428", "ccy": "BTC", "chain": "BTC-OKC", "to": "6", "selected": true, "ctAddr": "", "verifiedName": "John Corner" }, { "addr": "0x66d0edc2e63b6b992381ee668fbcb01f20ae0428", "ccy": "BTC", "chain": "BTC-ERC20", "to": "6", "selected": true, "ctAddr": "5807cf", "verifiedName": "John Corner" } ] } ``` **SDK Code** ```python funding_getDepositAddress_example import requests url = "https://www.okx.com/api/v5/asset/deposit-address" querystring = {"ccy":"USDT"} headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript funding_getDepositAddress_example const url = 'https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go funding_getDepositAddress_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby funding_getDepositAddress_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java funding_getDepositAddress_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php funding_getDepositAddress_example request('GET', 'https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp funding_getDepositAddress_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift funding_getDepositAddress_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/deposit-address?ccy=USDT")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```